# Uses of Interface
org.apache.commons.fileupload2.core.FileItemInputIterator

Packages that use FileItemInputIterator
Package
Description
org.apache.commons.fileupload2.core
A component for handling HTML file uploads as specified by RFC 1867.
org.apache.commons.fileupload2.jakarta.servlet6
An implementation of `AbstractFileUpload` for use in servlets conforming to the namespace `jakarta.servlet`.

## Uses of FileItemInputIterator in org.apache.commons.fileupload2.core

Methods in org.apache.commons.fileupload2.core that return FileItemInputIterator
Modifier and Type
Method
Description
`FileItemInputIterator`
AbstractFileUpload.`getItemIterator(RequestContext requestContext)`
Gets an RFC 1867 compliant `multipart/form-data` stream.
`abstract FileItemInputIterator`
AbstractFileUpload.`getItemIterator(R request)`
Gets a file item iterator.

## Uses of FileItemInputIterator in org.apache.commons.fileupload2.jakarta.servlet6

Methods in org.apache.commons.fileupload2.jakarta.servlet6 that return FileItemInputIterator
Modifier and Type
Method
Description
`FileItemInputIterator`
JakartaServletFileUpload.`getItemIterator(jakarta.servlet.http.HttpServletRequest request)`
Gets an RFC 1867 compliant `multipart/form-data` file item iterator.